# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-txzmq
%define fedora 27
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if 0%{?fedora}
%global with_python3 1
%endif

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global modname txZMQ

Name:             python-module-txzmq
Version:          0.8.0
Release:          alt1_5
Summary:          Twisted bindings for ZeroMQ

Group:            Development/Other
License:          GPLv2
URL:              https://github.com/smira/%{modname}
Source0:          %{url}/archive/%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    python-devel
BuildRequires:    python-module-setuptools
BuildRequires:    python-module-nose
BuildRequires:    python-module-zmq >= 13.0.0
BuildRequires:    python-module-twisted-conch python-module-twisted-conch-gui python-module-twisted-core python-module-twisted-core-gui python-module-twisted-core-gui-tk python-module-twisted-core-gui-wx python-module-twisted-core-test python-module-twisted-logger python-module-twisted-mail python-module-twisted-names python-module-twisted-news python-module-twisted-pair python-module-twisted-positioning python-module-twisted-runner python-module-twisted-web python-module-twisted-words
BuildRequires:    python-module-six

%if 0%{?with_python3}
BuildRequires:    python3-devel
BuildRequires:    python3-module-distribute
BuildRequires:    python3-module-nose
BuildRequires:    python3-module-zmq >= 13.0.0
BuildRequires:    python3-module-twisted-conch python3-module-twisted-conch-gui python3-module-twisted-core python3-module-twisted-core-test python3-module-twisted-logger python3-module-twisted-names python3-module-twisted-pair python3-module-twisted-positioning python3-module-twisted-runner python3-module-twisted-web python3-module-twisted-words
BuildRequires:    python3-module-six
%endif

%global _description\
txZMQ allows to integrate easily ZeroMQ sockets into Twisted event loop\
(reactor).
Source44: import.info

%description %_description

%if 0%{?with_python3}
%package -n python3-module-txzmq
Summary:          Twisted bindings for ZeroMQ
Group:            Development/Other

Requires:         python3-module-zmq >= 13.0.0
Requires:         python3-module-twisted-conch python3-module-twisted-conch-gui python3-module-twisted-core python3-module-twisted-core-test python3-module-twisted-logger python3-module-twisted-names python3-module-twisted-pair python3-module-twisted-positioning python3-module-twisted-runner python3-module-twisted-web python3-module-twisted-words
Requires:         python3-module-six

%description -n python3-module-txzmq
txZMQ allows to integrate easily ZeroMQ sockets into Twisted event loop
(reactor).
%endif


%prep
%setup -q -n %{modname}-%{version}

# Patch out the setuptools requirement on Twisted since epel doesn't ship
# twisted egg-info
%if 0%{?rhel}
sed -i 's/"Twisted",//' setup.py
%endif

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif

%build
%python_build

%if 0%{?with_python3}
%python3_build
%endif

%check
PYTHONPATH=$(pwd) nosetests

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
PYTHONPATH=$(pwd) nosetests-%{__python3_version}
popd
%endif

%install
%python_install

%if 0%{?with_python3}
%python3_install
%endif

%files -n python-module-txzmq
%doc README.rst
%doc --no-dereference LICENSE.txt
%{python_sitelibdir_noarch}/txzmq/
%{python_sitelibdir_noarch}/txZMQ-%{version}*.egg-info

%if 0%{?with_python3}
%files -n python3-module-txzmq
%doc README.rst
%doc --no-dereference LICENSE.txt
%{python3_sitelibdir_noarch}/txzmq/
%{python3_sitelibdir_noarch}/txZMQ-%{version}*.egg-info
%endif

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.0-alt1_5
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.0-alt1_4
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.8.0-alt1_3
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.7.4-alt1_3
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_3
- initial fc import

